(defun mklist (head &rest tail)
  (cons head tail))
;; (mklist 1) => (1)
;; (mklist 1 2) => (1 2)
;; (mklist 1 2 3) => (1 2 3)
;; etc.

(defun msg (str &optional (prefix "error: ") postfix)
  (concatenate 'string prefix str postfix))
;; (msg "hello") => "error: hello"
;; (msg "hello" nil) => "hello"
;; (msg "hello" "me: ") => "me: hello"
;; (msg "hello" "me: " "!") => "me: hello!"

(defun msg* (str &key prefix (postfix "."))
  (concatenate 'string prefix str postfix))
;; (msg* "hello") => "hello."
;; (msg* "hello" :prefix "me: ") => "me: hello."
;; (msg* "hello" :postfix "!" :prefix "me: ") => "me: hello!"
